package cn.ibizlab.humanresource.core.base.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.base.domain.HROMHierarchy;
/**
 * 关系型数据实体[HROMHierarchy] 查询条件对象
 */
@Slf4j
@Data
public class HROMHierarchySearchContext extends QueryWrapperContext<HROMHierarchy> {

	private String n_omhierarchyname_like;//[组织层次结构名称]
	public void setN_omhierarchyname_like(String n_omhierarchyname_like) {
        this.n_omhierarchyname_like = n_omhierarchyname_like;
        if(!ObjectUtils.isEmpty(this.n_omhierarchyname_like)){
            this.getSearchCond().like("omhierarchyname", n_omhierarchyname_like);
        }
    }
	private String n_organizationid_eq;//[组织]
	public void setN_organizationid_eq(String n_organizationid_eq) {
        this.n_organizationid_eq = n_organizationid_eq;
        if(!ObjectUtils.isEmpty(this.n_organizationid_eq)){
            this.getSearchCond().eq("organizationid", n_organizationid_eq);
        }
    }
	private String n_pomhierarchyid_eq;//[上级层次结构标识]
	public void setN_pomhierarchyid_eq(String n_pomhierarchyid_eq) {
        this.n_pomhierarchyid_eq = n_pomhierarchyid_eq;
        if(!ObjectUtils.isEmpty(this.n_pomhierarchyid_eq)){
            this.getSearchCond().eq("pomhierarchyid", n_pomhierarchyid_eq);
        }
    }
	private String n_hromhierarchycatid_eq;//[结构层次类别标识]
	public void setN_hromhierarchycatid_eq(String n_hromhierarchycatid_eq) {
        this.n_hromhierarchycatid_eq = n_hromhierarchycatid_eq;
        if(!ObjectUtils.isEmpty(this.n_hromhierarchycatid_eq)){
            this.getSearchCond().eq("hromhierarchycatid", n_hromhierarchycatid_eq);
        }
    }
	private String n_pomhierarchyname_eq;//[上级组织]
	public void setN_pomhierarchyname_eq(String n_pomhierarchyname_eq) {
        this.n_pomhierarchyname_eq = n_pomhierarchyname_eq;
        if(!ObjectUtils.isEmpty(this.n_pomhierarchyname_eq)){
            this.getSearchCond().eq("pomhierarchyname", n_pomhierarchyname_eq);
        }
    }
	private String n_pomhierarchyname_like;//[上级组织]
	public void setN_pomhierarchyname_like(String n_pomhierarchyname_like) {
        this.n_pomhierarchyname_like = n_pomhierarchyname_like;
        if(!ObjectUtils.isEmpty(this.n_pomhierarchyname_like)){
            this.getSearchCond().like("pomhierarchyname", n_pomhierarchyname_like);
        }
    }
	private String n_organizationname_eq;//[组织名称]
	public void setN_organizationname_eq(String n_organizationname_eq) {
        this.n_organizationname_eq = n_organizationname_eq;
        if(!ObjectUtils.isEmpty(this.n_organizationname_eq)){
            this.getSearchCond().eq("organizationname", n_organizationname_eq);
        }
    }
	private String n_organizationname_like;//[组织名称]
	public void setN_organizationname_like(String n_organizationname_like) {
        this.n_organizationname_like = n_organizationname_like;
        if(!ObjectUtils.isEmpty(this.n_organizationname_like)){
            this.getSearchCond().like("organizationname", n_organizationname_like);
        }
    }
	private String n_hromhierarchycatname_eq;//[名称]
	public void setN_hromhierarchycatname_eq(String n_hromhierarchycatname_eq) {
        this.n_hromhierarchycatname_eq = n_hromhierarchycatname_eq;
        if(!ObjectUtils.isEmpty(this.n_hromhierarchycatname_eq)){
            this.getSearchCond().eq("hromhierarchycatname", n_hromhierarchycatname_eq);
        }
    }
	private String n_hromhierarchycatname_like;//[名称]
	public void setN_hromhierarchycatname_like(String n_hromhierarchycatname_like) {
        this.n_hromhierarchycatname_like = n_hromhierarchycatname_like;
        if(!ObjectUtils.isEmpty(this.n_hromhierarchycatname_like)){
            this.getSearchCond().like("hromhierarchycatname", n_hromhierarchycatname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("organizationname", query)   
            );
		 }
	}
}



